'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var gCameraApi = require('@antv/g-camera-api');
require('@antv/g-compat');
var gCssLayoutApi = require('@antv/g-css-layout-api');
var gCssTypedOmApi = require('@antv/g-css-typed-om-api');
var gDomMutationObserverApi = require('@antv/g-dom-mutation-observer-api');
var gLite = require('@antv/g-lite');
var gWebAnimationsApi = require('@antv/g-web-animations-api');



Object.keys(gCameraApi).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return gCameraApi[k];
		}
	});
});
Object.keys(gCssLayoutApi).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return gCssLayoutApi[k];
		}
	});
});
Object.keys(gCssTypedOmApi).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return gCssTypedOmApi[k];
		}
	});
});
Object.keys(gDomMutationObserverApi).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return gDomMutationObserverApi[k];
		}
	});
});
Object.keys(gLite).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return gLite[k];
		}
	});
});
Object.keys(gWebAnimationsApi).forEach(function (k) {
	if (k !== 'default') Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () {
			return gWebAnimationsApi[k];
		}
	});
});
